## CongModificationCursorChange

CongModificationCursorChange —

## Synopsis

    struct      CongModificationCursorChange;
    #define     CONG_MODIFICATION_CURSOR_CHANGE (obj)
    #define     CONG_MODIFICATION_CURSOR_CHANGE_CLASS(klass)
    #define     IS_CONG_MODIFICATION_CURSOR_CHANGE(obj)
    GType       cong_modification_cursor_change_get_type
                                                (void);
    CongModificationCursorChange* cong_modification_cursor_change_construct
                                                (CongModificationCursorChange *modification_cursor_change,
                                                 CongDocument *doc,
                                                 const CongLocation *new_location);
    CongModification* cong_modification_cursor_change_new
                                                (CongDocument *doc,
                                                 const CongLocation *new_location);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongModificationCursorChange

## Description

## Details

### struct CongModificationCursorChange

    struct CongModificationCursorChange;

### CONG_MODIFICATION_CURSOR_CHANGE()

    #define CONG_MODIFICATION_CURSOR_CHANGE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_MODIFICATION_CURSOR_CHANGE_TYPE, CongModificationCursorChange)

`obj` : |

### CONG_MODIFICATION_CURSOR_CHANGE_CLASS()

    #define CONG_MODIFICATION_CURSOR_CHANGE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_MODIFICATION_CURSOR_CHANGE_TYPE, CongModificationCursorChangeClass)

`klass` : |

### IS_CONG_MODIFICATION_CURSOR_CHANGE()

    #define IS_CONG_MODIFICATION_CURSOR_CHANGE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_MODIFICATION_CURSOR_CHANGE_TYPE)

`obj` : |

### cong_modification_cursor_change_get_type ()

    GType       cong_modification_cursor_change_get_type
                                                (void);

Returns : |

### cong_modification_cursor_change_construct ()

    CongModificationCursorChange* cong_modification_cursor_change_construct
                                                (CongModificationCursorChange *modification_cursor_change,
                                                 CongDocument *doc,
                                                 const CongLocation *new_location);

TODO: Write me

`modification_cursor_change` : |
`doc` : |
`new_location` : |
Returns : |

### cong_modification_cursor_change_new ()

    CongModification* cong_modification_cursor_change_new
                                                (CongDocument *doc,
                                                 const CongLocation *new_location);

TODO: Write me

`doc` : |
`new_location` : |
Returns : |